Description

Hi there,

I'm trying to give some ideas for the redmine interface. Currentyl I'm trying to define some screenshots. It would be great to have

some feedback to this suggestions.

In the coming days, I'll upload some other suggestions.

Best regards,

Daniel

Related issues:

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

Related to Redmine - Feature #13157: Link on "My Page" to view all my spent t... Closed

Related to Redmine - Patch #1081: Add Activity block to My Page Closed 2008-04-21

Related to Redmine - Feature #1472: Organized All Projects List View Closed 2008-06-16

Related to Redmine - Patch #239: Adds two blocks for my/page and fixes a repo... New

Related to Redmine - Feature #13492: Personalized widgets for home and projec... New

Related to Redmine - Feature #1005: Add the addition/removal/change of relate... Closed 2008-04-07

Related to Redmine - Feature #4487: Add better presentation of issue status h... New 2009-12-25

Related to Redmine - Feature #3930: Should be added a filter for the "Assigne... New 2009-09-27

Related to Redmine - Feature #3543: Improve 'long text' custom fields Closed 2009-06-25

Related to Redmine - Feature #4967: Issues colors Reopened 2010-03-02

Related to Redmine - Feature #1936: Moving tasks between versions on the road... New 2008-09-23

Related to Redmine - Feature #13548: Remove wiki-page rendering in version ro... New

Related to Redmine - Feature #4291: Display percent complete per issue in roa... New 2009-11-25

Related to Redmine - Feature #7270: Allow descending/ascending sort on the ro... New 2011-01-10

Related to Redmine - Feature #10979: Roadmap on My page New

Related to Redmine - Patch #13747: Issue Colors Patch for #4967 New

Related to Redmine - Defect #6624: Project horizontal menu layout doesn't wrap Closed 2010-10-11

Related to Redmine - Feature #10773: Support Nesting Menus New

Related to Redmine - Feature #6984: Configure order/position and visbility of... New 2010-11-25

Related to Redmine - Feature #10718: Advanced menu (main,context) configurati... New

Related to Redmine - Feature #16474: Page Navigation link to be available on ... New

Related to Redmine - Feature #1565: Custom query on My page Closed 2008-07-03

History

#1 - 2013-01-11 17:17 - Daniel Felix

- File Additional_ProjectOverview_02.png added

Changed ProjectOverview to Version 2.

Just a simple change. The new boxes latest changesets and latest comments are grouped with a tabmenu.

#2 - 2013-01-25 11:27 - Daniel Felix
- File Additional_HistoryOverview_01.png added

- Category set to UI

This could be useful after integration of #1005-30.

The single tabs in the history could be retrieved by an ajax request.

#3 - 2013-01-25 11:58 - Jan Niggemann (redmine.org team member)

- File project_overview.png added

I like Additional_ProjectOverview_01.png better than ..._02.png because having tabs requires additional clicks from users...

That said, the "subproject" section could / should IMHO be made a list and ordered by name (see project_overview.png)

#4 - 2013-01-25 16:46 - Daniel Felix

Jan Niggemann wrote:

I like Additional_ProjectOverview_01.png better than ..._02.png because having tabs requires additional clicks from users...

 You're right, but on the other hand, you'll have to generate each list even if the user doesn't click on it. The grouped elements would give the

advantage of ajax requests.

#5 - 2013-02-15 04:20 - Filou Centrinov

Project Overview: Yes, ticket box to the right is nice, because i don't use news (box). ...but may be not everybody is happy about this :-)

History Overview: Make it possible to set a default. Make it possible to show and hide tabs. Also "spent time" tab would be nice. May also optionally

conclude multiple actions like 5 times changed description from same person and no other activities had occured in that time.

#6 - 2013-02-15 09:03 - Terence Mill

If a info box is showed, how is layout and orientation shall be configurable.

For example see plugin redmine_blocks_layout which offers such feature.

Additionally there shall vbe plugin whoch extend for new info boxes, like redmine_polls and redmine_last_messages

A newplugin that shall be integrated to support box layout is last issues

#7 - 2013-03-11 14:02 - mark kalender

hey guys, for feature #3 grouped history tab i have created RE: Detailed tabs and time in Issue (v 0.0.6).

the other points im also looking for, and will look into maybe doing the work for another plugin. not sure how this is not part of redmine yet :D

#8 - 2013-03-16 02:42 - Anonymous

In terms of design, I think there's a really simple approach that could be taken here. In terms of implementation...ehehhe...haha...well, anyway. Let me

break it down--I'll be referring to the elements on the overview page as 'blocks' for this post:

1. Overviews need to allow for customization, in the same way My Page is customized. The blocks that exist now become a standard set of

modules that can be added or removed as people like, or reset to a default layout.

2. Introduce two 'custom' blocks: Query and Wiki, and users can add as many of these as they like.

Query Any existing saved query for issues can be selected here, and the top x number of posts from the query results are displayed. It's

just as interactive (right click) as the My Page issue lists.

Wiki Any existing wiki page can be selected here. This allows for project introductions that don't pollute the /projects page view (you know

what I'm talking about), as well as the addition of graphic content. I personally maintain wiki pages with status charts, and I'd love to have a

block for these on the overview page, ala dashboards.

3. Enable all of the same customizations on the Home page, for a global content view. Wiki blocks might be more complicated here, though, unless

you allow for the identifier:wikipage syntax when choosing.

This leaves us at one last detail: ditch the My Page feature. Once the overview model is expanded to allow for customizations, My Page becomes

redundant next to Home. Its calendar module is unique to it right now, but even that could be turned into an Overview module (it could use some

design love, too).

There are some questions to be answered, of course. How many levels of customization are there? Is there a global module default, similar to all the

other global defaults (modules, columns)? Is there then a project default, where manager rights allow you to set the official project overview layout

and content? Is there then still one more default, for each user, who wants to add the content that matters most to them? Prioritization is clear (user

default overrides project default overrides global default), but would we want all three levels? Would there be, for users, a "Reset layout" link that

would purge their changes in favor of the project default? Can they save views as templates to toggle between or apply to other projects? Lots of

questions!

Regardless of the details, I do feel strongly about movable blocks and the addition of wiki and query blocks. Those two changes alone would

dramatically improve the Overview's usability and appeal.
I do like the grouped tab concept, but I don't think it should be limited to a static set of block types. You know how you can drag a tab from one

browser window to another browser window? Do that here! As you're moving blocks around, if you hold the block over another block, they join and

become separate tabs of the same block space. Add more blocks here, creating more and more tabs (some interesting things could be done with this

and wiki blocks). Grab a tab and drag it away and it separates into its own independent block again.

#9 - 2013-03-18 22:52 - Filou Centrinov

Related to: #13492. It's the same idea for the project overview, only in other words. I think it's what Joshua DeClercq is talking about. It also solves

the problem shown in project_overview.png

#10 - 2013-03-19 15:22 - Dipan Mehta

In my opinion, there should be a straight forward policy for a clean design -

_More static content on the left [Including summary, member lists, etc.] and dynamic content on the right.

As far as dynamic content is concerned, I think following might be interesting

1. Issue tracking box.

2. A box containing the progress bar of currently active versions

3. A box that show's two days (or a few days of activity)

4. News etc.

Typically, these can be either tabs, or better still it can be a collapsible block if there are too many blocks involved.

The extra content such as "Participate in the latest polls", "Hall mark Developer of the month" (or link to it) should be on the side bar. Typically this

shouldn't be a widget - rather a plain wiki or HTML page which can be decorated and edited as the Project Manager wants to put it.

#11 - 2013-04-10 17:20 - Dipan Mehta

On an independent issue, I have tried to stress upon beautifying and structuring the issue history that allows better experience working with issues.

Take a look at #4487 - and add this as a related to this overall design study.

#12 - 2013-04-10 17:25 - Daniel Felix

Dipan Mehta wrote:

Take a look at #4487 - and add this as a related to this overall design study.

 Done.

I'll provide some smaller css-improvements soon. Some further improvements to the overview and the my page will come in the next weeks.

#13 - 2013-04-10 20:46 - Dipan Mehta

I am not sure this is a right place to put this comment but I want you to highlight on specific UI related issues:

1. take a look at #3930 in dealing with long/large lists. It would be good if we have auto complete type fields for the same.

2. take a look at #3543 in dealing with long-text type fields. Looks like 1 column layout in issue page and update form would be more optimum if

there are long-text fields.

3. as per #4967, Issue colors and it's theme support

4. Related to roadmap page - #1936, #13548, #4291, #7270

5. Roadmap on My page #10979

May be you want to add all this as related.

#14 - 2013-04-11 17:58 - Daniel Felix

Hi,

please take a look at #13747.

Thanks!

#15 - 2013-04-15 17:58 - Terence Mill

related to

Support Nesting Menus #10773

Configure order/position and visbility of tabs in menu #6984

Advanced menu (main,context) configuration like order, aligment, grouping and behaviour #10718

#16 - 2014-02-11 09:26 - Christian Dähn

+1
#17 - 2014-04-29 04:48 - Toshi MARUYAMA

- Related to Feature #16474: Page Navigation link to be available on top of page added

#18 - 2015-05-27 08:07 - Toshi MARUYAMA

- Related to deleted (Feature #9479: Add a custom filtered issues block to 'My page')

#19 - 2015-05-27 08:07 - Toshi MARUYAMA

- Related to Feature #1565: Custom query on My page added

Files

Additional_ProjectOverview_01.png 123 KB 2013-01-09 Daniel Felix

Additional_ProjectOverview_02.png 63.5 KB 2013-01-11 Daniel Felix

Additional_HistoryOverview_01.png 60.4 KB 2013-01-25 Daniel Felix

project_overview.png 81.5 KB 2013-01-25 Jan Niggemann (redmine.org team member)
